Name:           unp
Version:        0.3
Release:        4%{?dist}
Summary:        A command line tool that can unpack archives easily

License:        BSD
URL:            http://github.com/mitsuhiko/unp/
Source0:        https://pypi.python.org/packages/source/u/unp/unp-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/mitsuhiko/unp/a9508c8de46b58cdbfcae5c0bad65df0754e88d4/LICENSE
BuildArch:      noarch
 
BuildRequires:  python3-devel

Requires:       python3-click
Requires:       python3-setuptools

%description
unp is a command line tool that can unpack archives easily.  It
mainly acts as a wrapper around other shell tools that you can
find on various POSIX systems.

%prep
%setup -q -n unp-%{version}
# Remove bundled egg-info
rm -rf unp.egg-info
cp -p %{SOURCE1} .


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%files
%doc README LICENSE

%{_bindir}/unp
%{python3_sitelib}/unp.py*
%{python3_sitelib}/unp-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/unp.cpython-3?.py[co]


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 10 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.3-1
- Initial package.
